Name: python-xmlrpc
Summary: A set of Python modules for XML-RPC support
Group: Development/Libraries
Copyright: GPL
Version: 1.4
Release: 1
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Requires: python >= 1.5.2-27

%description
This kit contains a Python implementation for Userland's XML-RPC protocol
based on the xmlrpclib version 0.9.8.

This package also includes the sgmlop module, an optimized SGML/XML parser,
designed as an add-on to the sgmllib/htmllib and xmllib modules. This module
is typically 5-10 times faster than the original xmllib implementation.

%prep
%if %{?RHNdevel:1}%{!?RHNdevel:0} 
%setup -q -n xmlrpc
%else 
%setup -q 
%endif 

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT
cp README README.xmlrpc
cp sgmlop/README README.sgmlop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.* COPYRIGHT
/usr/lib/python1.5/site-packages/*

%changelog
* Tue Mar  6 2001 Adrian Likins <alikins@redhat.com>
- add authenticated proxy support

* Wed Feb 21 2001 Preston Brown <pbrown@redhat.com>
- refreshCallback support by Adrian.  Build a release.

* Thu Feb  1 2001 Cristian Gafton <gafton@redhat.com> 
- obey the __getstate__ functions when marshalling instances

* Tue Jan 23 2001 Cristian Gafton <gafton@redhat.com>
- fix the gzip transport handling
- add custom header to identify new capability to the servers

* Tue Jan 16 2001 Cristian Gafton <gafton@redhat.com> 
- preserve the values of the headers that are case sensitive
- remove the perl and java stuff from the python package

* Fri Dec 15 2000 Preston Brown <pbrown@redhat.com>
- support user-settable transport encodings

* Mon Dec 11 2000 Preston Brown <pbrown@redhat.com>
- require a version of python including HTTPS support

* Thu Nov 30 2000 Preston Brown <pbrown@redhat.com>
- HTTPS proxy support

* Tue Nov 28 2000 Preston Brown <pbrown@redhat.com>
- proxy support

* Tue Sep 19 2000 Cristian Gafton <gafton@redhat.com>
- install compiled versions of the modules too

* Fri Aug 25 2000 Cristian Gafton <gafton@redhat.com>
- enhance support for verification/validation of the remote site certificates.

* Fri Aug 18 2000 Cristian Gafton <gafton@redhat.com>
- added support for a SSL-enabled socket module

* Wed Aug 09 2000 Cristian Gafton <gafton@redhat.com>
- first build of the package

